/*
 *			_ u t e l l . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	_utell	Get Byte Posn. in File
index		get byte posn. in File

synopsis

	unsigned
	_utell(fp)
	 FILEP fp;	/* file pointer of file to be checked */

description

	_utell() returns an unsigned byte position within the file.
	The value returned is 0-org byte posn. in file.

bugs

	All this does is cast ftell to unsigned.

author

	Machiavelli Systems

#endif

#include <fit.h>



UCOUNT _utell(fp)		/* almost unix tell() */
FILEP fp;		/* pointer to file descriptor */
{
	unsigned u;	/* tempory record number */
	long ftell();	/* function used to get pointer */

	/* go get it, and cast it to unsigned */
	u= (unsigned)ftell(fp);

#ifdef debug
	printf("_utell: %d. ",u);
#endif

	return(u);
}
